File: integration-requirements.txt

package info (click to toggle)
cloud-init 20.2-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 7,060 kB
  • sloc: python: 69,581; sh: 3,915; makefile: 105; xml: 21
file content (30 lines) | stat: -rw-r--r-- 703 bytes parent folder | download | duplicates (3)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
# PyPI requirements for cloud-init integration testing
# https://cloudinit.readthedocs.io/en/latest/topics/tests.html
#
# Note: Changes to this requirements may require updates to
# the packages/pkg-deps.json file as well.
#

# ec2 backend
boto3==1.5.9

# ssh communication
paramiko==2.4.2
cryptography==2.4.2


# lxd backend
# 04/03/2018: enables use of lxd 3.0
git+https://github.com/lxc/pylxd.git@4b8ab1802f9aee4eb29cf7b119dae0aa47150779

# finds latest image information
git+https://git.launchpad.net/simplestreams

# azure backend
azure-storage==0.36.0
msrestazure==0.6.1
azure-common==1.1.23
azure-mgmt-compute==7.0.0
azure-mgmt-network==5.0.0
azure-mgmt-resource==4.0.0
azure-mgmt-storage==6.0.0